From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 25 November 2014<P>

I love e.e. cummings!  He's brilliant!  Who's Rumi though?  I've never heard of him/her before.  I only recently discovered Maya Angelou.  I read her collected poems recently and was thoroughly impressed.  Charles Bukowski will always hold a very special place in my heart.<BR>
<BR>
Cryingshame and annski808, thank you for your kind words.<BR>
<BR>
Congratulations to all the front page picks.
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 25 November 2014<P>

Star of David, about <a href="/blend/wv.cgi?id=2014.11.24.21.55.30780"> self-immolation</a>: Ah!  Wonderfully horrible.  I empathize.  
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 25 November 2014<P>

CryingShame58, about <a href="/blend/wv.cgi?id=2014.11.19.01.41.29037">Illusionist</a>: I loved this.  I would say that possibly you'd like to reexamine this part though: "so long, ya know?"  That was the only part that felt jagged and out of place, though you know the intent better than anybody else, so you may decide to keep it.  Overall though, it floored me.  Especially the last sentence.  Perfect.
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 25 November 2014<P>

Farah, about <a href="/blend/wv.cgi?id=2014.11.16.04.19.30298">Crook (3)</a>: This is genius, pure and simple.  Every single word of this is perfect.  It's probably my favorite work of yours that I've read so far.  I wish I wrote this.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 25 November 2014<P>

Blessed23, thank you. it keeps one grounded, which isn't always a bad thing.
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 25 November 2014<P>

@blessed23 thank you so much for the lovely words! You put a smile on my face :)
<HR>